Create access list
curl --request POST \
--url https://api-v2.requesty.ai/v1/manage/access-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production Models",
"auto_approve": false,
"chat": [
"openai/gpt-4o",
"anthropic/claude-sonnet-5-5"
],
"embedding": [
"<string>"
],
"image": [
"<string>"
],
"transcription": [
"<string>"
],
"speech": [
"<string>"
],
"decision": [
"typesafe/jev-latest"
]
}
'import requests
url = "https://api-v2.requesty.ai/v1/manage/access-list"
payload = {
"name": "Production Models",
"auto_approve": False,
"chat": ["openai/gpt-4o", "anthropic/claude-sonnet-5-5"],
"embedding": ["<string>"],
"image": ["<string>"],
"transcription": ["<string>"],
"speech": ["<string>"],
"decision": ["typesafe/jev-latest"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Production Models',
auto_approve: false,
chat: ['openai/gpt-4o', 'anthropic/claude-sonnet-5-5'],
embedding: ['<string>'],
image: ['<string>'],
transcription: ['<string>'],
speech: ['<string>'],
decision: ['typesafe/jev-latest']
})
};
fetch('https://api-v2.requesty.ai/v1/manage/access-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-v2.requesty.ai/v1/manage/access-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Production Models',
'auto_approve' => false,
'chat' => [
'openai/gpt-4o',
'anthropic/claude-sonnet-5-5'
],
'embedding' => [
'<string>'
],
'image' => [
'<string>'
],
'transcription' => [
'<string>'
],
'speech' => [
'<string>'
],
'decision' => [
'typesafe/jev-latest'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-v2.requesty.ai/v1/manage/access-list"
payload := strings.NewReader("{\n \"name\": \"Production Models\",\n \"auto_approve\": false,\n \"chat\": [\n \"openai/gpt-4o\",\n \"anthropic/claude-sonnet-5-5\"\n ],\n \"embedding\": [\n \"<string>\"\n ],\n \"image\": [\n \"<string>\"\n ],\n \"transcription\": [\n \"<string>\"\n ],\n \"speech\": [\n \"<string>\"\n ],\n \"decision\": [\n \"typesafe/jev-latest\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-v2.requesty.ai/v1/manage/access-list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Production Models\",\n \"auto_approve\": false,\n \"chat\": [\n \"openai/gpt-4o\",\n \"anthropic/claude-sonnet-5-5\"\n ],\n \"embedding\": [\n \"<string>\"\n ],\n \"image\": [\n \"<string>\"\n ],\n \"transcription\": [\n \"<string>\"\n ],\n \"speech\": [\n \"<string>\"\n ],\n \"decision\": [\n \"typesafe/jev-latest\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-v2.requesty.ai/v1/manage/access-list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Production Models\",\n \"auto_approve\": false,\n \"chat\": [\n \"openai/gpt-4o\",\n \"anthropic/claude-sonnet-5-5\"\n ],\n \"embedding\": [\n \"<string>\"\n ],\n \"image\": [\n \"<string>\"\n ],\n \"transcription\": [\n \"<string>\"\n ],\n \"speech\": [\n \"<string>\"\n ],\n \"decision\": [\n \"typesafe/jev-latest\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}Create Access List
Create a new access list in the organization. An access list defines which models are allowed for API keys or groups it is attached to. Requires an API key with write manage permissions.
POST
/
v1
/
manage
/
access-list
Create access list
curl --request POST \
--url https://api-v2.requesty.ai/v1/manage/access-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production Models",
"auto_approve": false,
"chat": [
"openai/gpt-4o",
"anthropic/claude-sonnet-5-5"
],
"embedding": [
"<string>"
],
"image": [
"<string>"
],
"transcription": [
"<string>"
],
"speech": [
"<string>"
],
"decision": [
"typesafe/jev-latest"
]
}
'import requests
url = "https://api-v2.requesty.ai/v1/manage/access-list"
payload = {
"name": "Production Models",
"auto_approve": False,
"chat": ["openai/gpt-4o", "anthropic/claude-sonnet-5-5"],
"embedding": ["<string>"],
"image": ["<string>"],
"transcription": ["<string>"],
"speech": ["<string>"],
"decision": ["typesafe/jev-latest"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Production Models',
auto_approve: false,
chat: ['openai/gpt-4o', 'anthropic/claude-sonnet-5-5'],
embedding: ['<string>'],
image: ['<string>'],
transcription: ['<string>'],
speech: ['<string>'],
decision: ['typesafe/jev-latest']
})
};
fetch('https://api-v2.requesty.ai/v1/manage/access-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-v2.requesty.ai/v1/manage/access-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Production Models',
'auto_approve' => false,
'chat' => [
'openai/gpt-4o',
'anthropic/claude-sonnet-5-5'
],
'embedding' => [
'<string>'
],
'image' => [
'<string>'
],
'transcription' => [
'<string>'
],
'speech' => [
'<string>'
],
'decision' => [
'typesafe/jev-latest'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-v2.requesty.ai/v1/manage/access-list"
payload := strings.NewReader("{\n \"name\": \"Production Models\",\n \"auto_approve\": false,\n \"chat\": [\n \"openai/gpt-4o\",\n \"anthropic/claude-sonnet-5-5\"\n ],\n \"embedding\": [\n \"<string>\"\n ],\n \"image\": [\n \"<string>\"\n ],\n \"transcription\": [\n \"<string>\"\n ],\n \"speech\": [\n \"<string>\"\n ],\n \"decision\": [\n \"typesafe/jev-latest\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-v2.requesty.ai/v1/manage/access-list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Production Models\",\n \"auto_approve\": false,\n \"chat\": [\n \"openai/gpt-4o\",\n \"anthropic/claude-sonnet-5-5\"\n ],\n \"embedding\": [\n \"<string>\"\n ],\n \"image\": [\n \"<string>\"\n ],\n \"transcription\": [\n \"<string>\"\n ],\n \"speech\": [\n \"<string>\"\n ],\n \"decision\": [\n \"typesafe/jev-latest\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-v2.requesty.ai/v1/manage/access-list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Production Models\",\n \"auto_approve\": false,\n \"chat\": [\n \"openai/gpt-4o\",\n \"anthropic/claude-sonnet-5-5\"\n ],\n \"embedding\": [\n \"<string>\"\n ],\n \"image\": [\n \"<string>\"\n ],\n \"transcription\": [\n \"<string>\"\n ],\n \"speech\": [\n \"<string>\"\n ],\n \"decision\": [\n \"typesafe/jev-latest\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}Create a new access list in the organization. An access list defines which models are allowed for API keys or groups it is attached to. Specify models per modality:
chat, embedding, image, transcription, and speech.Body
application/json
Last modified on July 3, 2026
Was this page helpful?